/*
 * Sound support.
 */

#ifdef SOUND_SUPPORT
#ifndef HR_SOUND
#define HR_SOUND

#include "soundIt.h"
#include "hr_defines.h"

Sample sample[HR_SOUND_MAX_SAMPLES];

extern int hr_sound_init();
extern int hr_sample_play(int sample,int channel,int frequency,int volume,
								  int pan);
extern int hr_channel_control(int channel,int mode,int arg);
extern int hr_sample_load(unsigned char *name,Sample *sample);
extern int hr_sound_close();

#endif
#endif
